Page MenuHomePhabricator

Please add digital.bodleian.ox.ac.uk and iiif.bodleian.ox.ac.uk to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Hi. I'm going to be testing then carrying out bulk imports from the Digital Bodleian as part of my residency at the Bodleian Libraries.

The images each have a permanent URL which redirects to a server where they are currently located, so the two domains I'd like whitelisted are http://iiif.bodleian.ox.ac.uk and http://digital.bodleian.ox.ac.uk/

An example query:
http://iiif.bodleian.ox.ac.uk/iiif/image/4a53ccf2-53c2-46d1-98a2-cd6f679e9c5b/full/!1000,1000/0/default.jpg

is a permanent URL which links to
http://digital.bodleian.ox.ac.uk/fcgi-bin/iipsrv.fcgi?IIIF=/silos/digital.bodleian/pairtree_root/4a/53/cc/f2/-5/3c/2-/46/d1/-9/8a/2-/cd/6f/67/9e/9c/5b/obj/__latest/full_lossless.jp2/full/!1000,1000/0/default.jpg

Thanks in advance,

Event Timeline

MartinPoulter raised the priority of this task from to Needs Triage.
MartinPoulter updated the task description. (Show Details)
MartinPoulter added a subscriber: MartinPoulter.
Restricted Application added subscribers: StudiesWorld, Bawolff, Steinsplitter and 2 others. · View Herald TranscriptDec 17 2015, 5:42 PM

Just noticed the extra requirements in the instructions: As well as an employee of The Bodleian Libraries, University of Oxford, I am already an experienced contributor to Commons, with about 900 uploads. The first batch upload will be from this collection: http://digital.bodleian.ox.ac.uk/inquire/Discover/Search/#/?p=c+,t+,rsrs+0,rsps+10,fa+ox%3Acollection%5EEphemera,so+ox%3Asort%5Easc,scids+,pid+,vi+ for which I've already converted JSON metadata into flat XML. (JSON metadata files are obtained by selecting an image then clicking the IIIF icon on the right)

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 19 2016, 11:07 PM
Dereckson triaged this task as Normal priority.Jan 19 2016, 11:53 PM
Dereckson moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 265165 had a related patch set uploaded (by Dereckson):
Add *.bodleian.ox.ac.uk to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/265165

Change 265165 merged by jenkins-bot:
Add *.bodleian.ox.ac.uk to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/265165

Dereckson closed this task as Resolved.Jan 20 2016, 4:34 PM

Deployed.